### Type parameters

- #### T

### Hierarchy

- Request<T, ScanRequest<T>, ScanInput, ScanResponse<T>>
  - ScanRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- DEFAULT_LIMIT
- INFINITE_LIMIT

### Methods

- exclusiveStartKey
- exec
- execCount
- execFetchAll
- execFullResponse
- execNoMap
- execSingle
- index
- limit
- mapFromDb
- where
- whereAttribute

## Constructors

### constructor

- new ScanRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): ScanRequest

- Overrides Request.constructor

  - Defined in dynamo/request/scan/scan.request.ts:12

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns ScanRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:18

### Private logger

logger: Logger

- Defined in dynamo/request/scan/scan.request.ts:12

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:20

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:19

### params

params: ScanInput

Inherited from Request.params

Overrides BaseRequest.params

- Defined in dynamo/request/request.model.ts:24

### Static DEFAULT_LIMIT

DEFAULT_LIMIT: number = 10

Inherited from Request.DEFAULT_LIMIT

- Defined in dynamo/request/request.model.ts:21

### Static INFINITE_LIMIT

INFINITE_LIMIT: number = -1

Inherited from Request.INFINITE_LIMIT

- Defined in dynamo/request/request.model.ts:22

## Methods

### exclusiveStartKey

- exclusiveStartKey(key: Key | null): ScanRequest<T>

- Inherited from Request.exclusiveStartKey

  - Defined in dynamo/request/request.model.ts:42

  #### Parameters

  - ##### key: Key | null

    A map representing the start id which is included in next call, if null is delivered startKey will be removed from params

  #### Returns ScanRequest<T>

### exec

- exec(): Observable<T[]>

- Overrides Request.exec

  - Defined in dynamo/request/scan/scan.request.ts:34

  #### Returns Observable<T[]>

### execCount

- execCount(): Observable<number>

- Overrides Request.execCount

  - Defined in dynamo/request/scan/scan.request.ts:59

  #### Returns Observable<number>

### execFetchAll

- execFetchAll(): Observable<T[]>

- Inherited from Request.execFetchAll

  - Defined in dynamo/request/request.model.ts:102

  fetches all pages. may uses all provisionedOutput, therefore for client side use cases rather use pagedDatasource (exec)

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(): Observable<ScanResponse<T>>

- Overrides Request.execFullResponse

  - Defined in dynamo/request/scan/scan.request.ts:25

  #### Returns Observable<ScanResponse<T>>

### execNoMap

- execNoMap(): Observable<ScanOutput>

- Overrides Request.execNoMap

  - Defined in dynamo/request/scan/scan.request.ts:19

  #### Returns Observable<ScanOutput>

### execSingle

- execSingle(): Observable<T | null>

- Overrides Request.execSingle

  - Defined in dynamo/request/scan/scan.request.ts:44

  #### Returns Observable<T | null>

### index

- index(indexName: string): ScanRequest<T>

- Inherited from Request.index

  - Defined in dynamo/request/request.model.ts:52

  #### Parameters

  - ##### indexName: string

  #### Returns ScanRequest<T>

### limit

- limit(limit: number): ScanRequest<T>

- Inherited from Request.limit

  - Defined in dynamo/request/request.model.ts:63

  #### Parameters

  - ##### limit: number

  #### Returns ScanRequest<T>

### Private mapFromDb

- mapFromDb(output: ScanOutput): ScanResponse<T>

- - Defined in dynamo/request/scan/scan.request.ts:72

  #### Parameters

  - ##### output: ScanOutput

  #### Returns ScanResponse<T>

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): ScanRequest<T>

- Inherited from Request.where

  - Defined in dynamo/request/request.model.ts:83

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns ScanRequest<T>

### whereAttribute

- whereAttribute(attributePath: keyof T): RequestConditionFunction<ScanRequest<T>>

- Inherited from Request.whereAttribute

  - Defined in dynamo/request/request.model.ts:79

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<ScanRequest<T>>

Generated using TypeDoc